Bug 6818 - acquisitions basket groups could use some design work
Summary: acquisitions basket groups could use some design work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: cgi-bin/koha/acqui/basketgroup.pl?boo...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-30 15:48 UTC by Nicole C. Engard
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot (19.92 KB, image/png)
2011-10-24 19:26 UTC, Katrin Fischer
Details
Proposed fix (29.44 KB, patch)
2011-10-27 13:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Fix for Bug 6818 - acquisitions basket groups could use some design work (29.73 KB, patch)
2011-11-04 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Fix for Bug 6818 - acquisitions basket groups could use some design work (29.70 KB, patch)
2011-11-04 21:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-30 15:48:12 UTC
The page of basket groups does not quite match the style of the rest of Koha.  Also, the buttons with text on them (reopen and print) are very small and kinda hard to read. It would be nice to see this page get a bit of love in the design department.
Comment 1 Katrin Fischer 2011-10-24 19:26:33 UTC
Created attachment 6045 [details]
Screenshot

This is still an issue in Koha 3.6
Besides the colors the used fonts are very small, making it hard to read and work with the page.
Comment 2 Owen Leonard 2011-10-27 13:16:04 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2011-11-04 21:43:36 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2011-11-04 21:44:39 UTC
Created attachment 6216 [details] [review]
Fix for Bug 6818 - acquisitions basket groups could use some design work

I've made changes to the basket grouping interface to bring it
in line with other interfaces in Koha. I think it's better to
keep things following a consistent pattern.

On the page which lists basket groups:

- Basket groups listed in a table instead of as custom-styled lists
- Buttons use standard style
- Tabs are generated by jQuery

On the page for managing baskets in a group:

- Markup has been revised to be more consistent with established
  patterns.
- Corrections have been made for validity

On the basket view page:

- Display of data has been streamlined a little bit
- An option has been added to the "Basket group" dropdown
  for adding a new group
- Markup has been corrected for validity and consistency

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
1) Basket group page
The blue is gone and the new buttons  are much better
readable than before.

2) Basket grouping page
Works.

3) Basket view page
I like the new option to create a new group from here.
Nice improvement to the workflow!
I removed a spare 'td' from line 264.
Comment 5 Paul Poulain 2011-12-08 16:40:07 UTC
QA comment:
* templates still passing tests : prove xt/author/valid-templates.t says
xt/author/valid-templates.t .. ok     
All tests successful.
Files=1, Tests=672, 38 wallclock secs ( 0.31 usr  0.01 sys + 36.97 cusr  0.50 csys = 37.79 CPU)
Result: PASS

* template only markup
* there was a tiny merge conflict I solved (an added empty line)

passed QA

Patch pushed, please test


Chris_n = no change in the workflow, but important changes in the design (for more consistency though). I would not object any decision (merging in 3.6 or no), both are debatable
Comment 6 Jared Camins-Esakov 2012-05-23 12:15:51 UTC
Included in 3.6 prior to 3.6.5.